Skip to main content
POST
/
v1
/
check-sessions
/
{checkSessionId}
/
cancel
Cancel a check session
curl --request POST \
  --url https://api.checklyhq.com/v1/check-sessions/{checkSessionId}/cancel \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sequenceId": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "statusCode": 123,
  "error": "<string>",
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Check sessions are started by the UI “Schedule now” button and checkly deploy. See Cancellation for how cancelled runs affect alerts, metrics, and the CANCELLED session status.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string<uuid>

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

checkSessionId
string<uuid>
required

Check session ID.

Body

application/json
sequenceId
string<uuid>[]

Subset of sequence IDs to cancel. Omit to cancel all in-progress sequences.

Minimum array length: 1

Response

Cancellation accepted.